Name:          csvjdbc
Version:       1.0.29
Release:       6%{?dist}
Summary:       Java driver for reading comma-separated-value files
License:       LGPLv2+
URL:           http://csvjdbc.sourceforge.net/
# there's no upstream tarball
# git clone git://git.code.sf.net/p/csvjdbc/code csvjdbc
# cd csvjdbc && git checkout v1.0-29 && git checkout-index -f -a --prefix=csvjdbc-1.0.29/
# find csvjdbc-1.0.29/ -name "*.class" -print -delete
# find csvjdbc-1.0.29/ -name "*.jar" -print -delete
# tar -cJf ../csvjdbc-1.0.29.tar.xz csvjdbc-1.0.29
Source0:       %{name}-%{version}.tar.xz

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.codehaus.mojo:javacc-maven-plugin)

BuildArch:     noarch

%description
CsvJdbc is a read-only JDBC driver that uses Comma Separated Value
(CSV) files or DBF files as database tables. It is ideal for
writing data import programs or analyzing log files.

The driver enables a directory or a ZIP file containing CSV or DBF files
to be accessed as though it were a database containing tables. However,
as there is no real database management system behind the scenes,
not all JDBC functionality is available.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{version}

mv src/doc/license.txt .

# Unneeded tasks
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-source-plugin
# org.apache.maven.wagon:wagon-ssh:2.5
%pom_xpath_remove pom:build/pom:extensions

%mvn_file net.sourceforge.%{name}:%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc src/doc/*
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt

%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.29-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.29-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.29-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.29-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Apr 30 2016 gil cattaneo <puntogil@libero.it> 1.0.29-1
- update to 1.0.29

* Tue Mar 15 2016 gil cattaneo <puntogil@libero.it> 1.0.28-1
- initial rpm
